@import url("https://fonts.googleapis.com/css2?family=IBM+Plex+Mono&family=Silkscreen&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Jacquard+12&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap");
@import url("https://fonts.googleapis.com/css2?family=VT323&display=swap");
@font-face {
  font-family: "ronda";
  src: url("https://static.tumblr.com/rmj06l2/kcLlo1q2y/pf_ronda_seven.ttf");
}
@font-face {
  font-family: "pixel";
  src: url("https://dl.dropbox.com/s/kmhe7d3n18vdz5e/w95fa.woff?dl=0");
}
@font-face {
  font-family: "alagard";
  src: url("/static/alagard.ttf");
}
@font-face {
  font-family: "commodore";
  src: url("/static/Commodore\ Angled\ v1.2.ttf");
}
:root {
  --console-width: 800px;
  --console-height: 490px;
  --color-borders: #c4af9a;
  --color-sec-border: #4e4842;
  --color-primary: #033207;
  --font-color-primary: #e9f2e3;
  --font-fam-primary: "commodore", monospace;
  --font-fam-secondary: "commodore", monospace;
  --font-size-primary: 12px;
}
* {
  padding: 0px;
  margin: 0px;
  letter-spacing: 1px;
}
a {
  color: var(--color-borders);
}
body {
  font-family: var(--font-fam-primary);
  color: var(--color-borders);
  font-size: var(--font-size-primary);
  position: relative;
  margin: 0;
}
.bg {
  background-image: url("/static/bg.png");
  height: 100%;
  width: 100%;
  position: fixed;
  z-index: 0;
  filter: invert() hue-rotate(300deg) saturate(100%) contrast(130%);
  left: 0;
  top: 0;
}
footer {
  z-index: 1;
  position: absolute;
  margin: auto;
  margin-top: 50px;
  text-align: center;
  width: 100%;
}
.lace {
  max-width: 750px;
  margin: 110px auto;
  background: url("/static/catrunfl-ezgif.com-loop-count.gif");
  background-position: center;
  height: 30px;
  padding: 5px;
  color: #454745;
}
.site-name {
  font-family: var(--font-fam-primary);
  font-size: 28px;
  color: var(--primary-white);
  letter-spacing: 5px;
  text-shadow: -5px 0px 0px var(--color-borders);
  margin-left: 35px;
}
p {
  font-family: var(--font-fam-secondary);
  font-size: 12px;
  letter-spacing: 1px;
  line-height: 20px;
}
p.p1 {
  font-size: 9px;
  line-height: 14px;
}
p.p2 {
  font-size: 11px;
}
h1 {
  font-family: var(--font-size-primary);
}
.wrapper {
  border: 3px solid var(--color-borders);
  width: var(--console-width);
  height: 490px;
  box-shadow: 4px 3px 0 var(--color-primary);
  border-radius: 5px;
  margin: auto;
  margin-top: calc(42vh - 190px);
  position: relative;
}
.wrapper::after {
  content: " ";
  display: block;
  border: 3px solid var(--color-borders);
  border-top: 0;
  width: var(--console-width);
  height: 12px;
  box-shadow: 4px 4px 0 var(--color-primary);
  position: relative;
  left: -3px;
  top: -10px;
  border-radius: 0 0 5px 5px;
}
.consolebg {
  background-image: url("/static/consolebg.png");
  background-repeat: no-repeat;
  filter: invert(100%) hue-rotate(300deg);
  zoom: 1.3;
  height: 100%;
  width: 100%;
  z-index: 0;
  position: fixed;
}
.content {
  background: #536982;
  border-radius: 5px;
}
.menu a {
  font-family: var(--font-fam-primary);
  border: 3px solid var(--color-borders);
  border-bottom-color: var(--color-sec-border);
  color: var(--color-borders);
  text-decoration: none;
  display: inline-block;
  height: 41px;
  font-size: var(--font-size-primary);
  width: 150px;
  margin-left: -3px;
  border-radius: 3px;
  line-height: 33px;
  position: relative;
}
.menu a:hover {
  position: relative;
  top: 4px;
}
.menu a:hover::before {
  background-color: var(--color-borders);
  display: block;
  content: " ";
  height: 6px;
  width: calc(100% + 6px);
  position: absolute;
  top: -7px;
  left: -3px;
}
.menu a::after {
  background-color: var(--color-borders);
  filter: invert();
  display: block;
  content: " ";
  height: 3px;
  width: 90px;
  margin: auto;
}
.menu button {
  display: inline;
  font-family: var(--font-fam-primary);
  border: 3px solid var(--color-borders);
  color: var(--color-borders);
  font-size: 9px;
  background-color: var(--color-primary);
  height: 45px;
  width: 45px;
  border-radius: 100px;
  line-height: 10px;
  position: relative;
  margin-left: 15px;
}
.menu button:hover {
  position: relative;
  top: 3px;
  filter: drop-shadow(0px -3px 0px var(--color-borders));
}
.screen {
  width: 700px;
  height: 400px;
  border: 3px solid var(--color-borders);
  margin: auto;
  margin-top: 20px;
  position: relative;
  border-radius: 5px;
}
iframe {
  border: 0;
  width: 100%;
  height: 100%;
}
.menu {
  margin: auto;
  text-align: center;
  margin-top: 18px;
}

/* ANIMATED CLASSES */
.typewriter {
  border-right: 0.3em solid var(--color-borders);
  width: 16.5em;
  width: 20ch;
  white-space: nowrap;
  overflow: hidden;
  -webkit-animation:
    typing 1.8s steps(20, end),
    blink-caret 0.4s step-end infinite alternate;
}
@-webkit-keyframes typing {
  from {
    width: 0;
  }
}
@-webkit-keyframes blink-caret {
  50% {
    border-color: transparent;
  }
}

/* pages within iframe*/
body.memoframe {
  border-right: 4px solid var(--color-sec-border);
  border-top: 4px solid var(--color-sec-border);
  margin: 0;
  min-height: 280px;
  padding: 20px;
  scrollbar-color: transparent;
  background: var(--color-primary);

}
.sidebar-title {
  font-family: var(--font-fam-primary);
  position: fixed;
  top: 0;
  right: 0;
  padding: 5px 8px;
  background-color: var(--color-borders);
  color: #1a3339;
  font-size: var(--font-size-primary);
  text-transform: lowercase;
  border-radius: 0px 0px 0 5px;
}

/* for the class .individual post */
.individual-post {
  margin-top: 10px;
  margin-bottom: 15px;
}
button {
  border: none;
  background-color: transparent;
  color: var(--color-borders);
  margin-right: 10px;
  padding-bottom: 5px;
  font-family: var(--font-fam-primary);
  cursor: pointer;
  font-size: 16px;
}
.rotator {
  transform: rotate(90deg);
}
.post-title {
  display: flex;
  gap: 8px;
}
.individual-post hr {
  color: var(--color-borders);
}
.dynamic-post-content {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 0px;
}
.post-metadata {
  padding-top: 5px;
  line-height: 20px;

  .tag {
    font-size: 8px;
    letter-spacing: 1px;
    background-color: var(--color-sec-border);
    padding: 3px;
  }
  .tag::before {
    content: "#";
  }
}
.post-img-gallery {
  padding: 0;
  position: relative;
  overflow: hidden;
  width: 320px;
  .imgs {
    display: flex;
    flex-direction: row;
    height: 180px;
    img {
      height: 180px;
      width: 320px;
      object-fit: contain;
    }
  }
  .img-btns {
    display: flex;
    justify-content: space-between;
    width: 320px;
    position: absolute;
    top: 25px;
    bottom: 5px;
    z-index: 99;
    button {
      font-size: 20px;
      background-color: transparent;
      border: none;
      border-radius: 0px;
      color: var(--color-borders);
      margin: 0;
      cursor: pointer;
      padding: 10px;
    }
    button:hover {
      filter: drop-shadow(0px 0px 1px var(--color-borders)) invert();
    }
    button:active {
      filter: none;
      position: relative;
      top: 4px;
    }
  }
}
.post-content {
  padding-top: 10px;
}

/* post it in thoughtsnacks */
#thoughtsnacks {
  list-style-type: none;
  column-gap: 1px;
  column-count: 3;
}
.postit {
  border: 2px solid var(--color-borders);
  border-radius: 3px;
  padding: 5px;
  line-height: 15px;
  font-size: 8px;
  break-inside: avoid;
  margin-bottom: 1px;
}
.prompts {
  list-style-type: symbols(cyclic "*" "†" "‡");
  margin-left: 25px;
  font-size: 8px;
}
